import json

class BroadbandResult:
    def __init__(
        self,
        data,
    ):
        self._data = data

    @property
    def data(self):
        return self._data

    @property
    def json(self):
        return json.dumps(self._data)

    @property
    def fttp(self):
        return self._fttp

    @fttp.setter
    def fttp(self, value):
        if not isinstance(value, bool):
            raise TypeError('BroadbandResult.fttp must be a bool')
        self._fttp = value
